Name: schroot
Version: 1.4.2
Release: 5%{?dist}
Summary: Execute commands in a chroot environment
Group: Development/Tools
License: GPLv3+
Url: http://packages.debian.org/schroot
Source0: http://ftp.de.debian.org/debian/pool/main/s/schroot/%{name}_%{version}.orig.tar.gz
Patch0: schroot-pam.patch
Patch1: schroot-default-config-path.patch
Patch2: schroot-configure-boost-variables-map.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pam-devel
BuildRequires: boost-devel
BuildRequires: lockdev-devel
BuildRequires: gettext
BuildRequires: libuuid-devel

%description
schroot allows users to execute commands or interactive shells in
different chroots.  Any number of named chroots may be created, and
access permissions given to each, including root access for normal
users, on a per-user or per-group basis.  Additionally, schroot can
switch to a different user in the chroot, using PAM for
authentication and authorisation.  All operations are logged for
security.

Several different types of chroot are supported, including normal
directories in the filesystem, and also block devices.  Sessions,
persistent chroots created on the fly from files (tar with optional
compression and zip) and LVM snapshots are also supported.

schroot supports kernel personalities, allowing the programs run
inside the chroot to have a different personality.  For example,
running 32-bit chroots on 64-bit systems, or even running binaries
from alternative operating systems such as SVR4 or Xenix.

schroot also integrates with sbuild, to allow building packages with
all supported chroot types, including session-managed chroot types
such as LVM snapshots.

schroot shares most of its options with dchroot, but offers vastly
more functionality.

%package -n dchroot
Group: Development/Tools
Summary: Older tool similar to schroot

%description -n dchroot
dchroot allows users to execute commands or interactive shells in different 
chroots. Users can move between chroots as necessary.  Enhanced
functionality is available in the next generation tool called schroot.

%prep

%setup -q 

%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

%configure LIBS="-lboost_program_options -lboost_system -lboost_regex" --disable-rpath --enable-static --disable-shared --enable-dchroot || ( cat config.log && exit 1 )
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/schroot/session
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/schroot/chroot.d
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

# get rid of uneeded include and library files
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -f $RPM_BUILD_ROOT%{_libdir}/pkgconfig/sbuild.pc
rm -f $RPM_BUILD_ROOT%{_libdir}/libsbuild.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libsbuild.so*
rm -f $RPM_BUILD_ROOT%{_libdir}/libsbuild.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_bindir}/schroot
%dir %{_sysconfdir}/schroot
%dir %{_sysconfdir}/schroot/chroot.d
%config(noreplace) %{_sysconfdir}/schroot/schroot.conf
%config(noreplace) %{_sysconfdir}/pam.d/schroot
%dir %{_sysconfdir}/schroot/setup.d
%{_sysconfdir}/bash_completion.d/schroot
%{_sysconfdir}/schroot/default/config
%{_sysconfdir}/schroot/default/copyfiles
%{_sysconfdir}/schroot/default/fstab
%{_sysconfdir}/schroot/default/nssdatabases
%{_sysconfdir}/schroot/setup.d/00check
%{_sysconfdir}/schroot/setup.d/05file
%{_sysconfdir}/schroot/setup.d/05lvm
%{_sysconfdir}/schroot/setup.d/05union
%{_sysconfdir}/schroot/setup.d/10mount
%{_sysconfdir}/schroot/setup.d/15killprocs
%{_sysconfdir}/schroot/setup.d/20copyfiles
%{_sysconfdir}/schroot/setup.d/20nssdatabases
%{_sysconfdir}/schroot/setup.d/50chrootname
%{_sysconfdir}/schroot/setup.d/99check
%dir %{_libexecdir}/schroot
%{_libexecdir}/schroot/schroot-listmounts
%{_libexecdir}/schroot/schroot-mount
%{_libexecdir}/schroot/schroot-releaselock
%dir %{_localstatedir}/lib/schroot
%{_localstatedir}/lib/schroot/session
%{_localstatedir}/lib/schroot/mount
%{_mandir}/man1/schroot.1.gz
%{_mandir}/man5/schroot-script-config.5.gz
%{_mandir}/man5/schroot-setup.5.gz
%{_mandir}/man5/schroot.conf.5.gz
%doc COPYING ABOUT-NLS AUTHORS ChangeLog HACKING INSTALL NEWS README THANKS TODO

%files -n dchroot
%defattr(-,root,root)
%{_bindir}/dchroot
%{_mandir}/man1/dchroot.1.gz
%doc COPYING ABOUT-NLS AUTHORS ChangeLog HACKING INSTALL NEWS README THANKS TODO

%changelog
* Mon Jul 19 2010 Zach Carter <z.carter@f5.com> - 1.4.2-5
- fix configure and configure.ac to correct boost function call

* Fri Jul 16 2010 Zach Carter <z.carter@f5.com> - 1.4.2-4
- cat config.log on failure.

* Fri Jul 16 2010 Zach Carter <z.carter@f5.com> - 1.4.2-3
- Add some LIBS="-l<lib>" statements to fix build break.

* Wed Jul  7 2010 Zach Carter <z.carter@f5.com> - 1.4.2-2
- Licensing Guidelines Update - add license to dchroot subpackage.

* Thu May 27 2010 Zach Carter <z.carter@f5.com> - 1.4.2-1
- update to 1.4.2
- require libuuid-devel
- add /sbin directories to path in /etc/schroot/default/config BZ588200

* Sat Feb 13 2010 Zach Carter <z.carter@f5.com> - 1.2.3-5
- Specifically call out -lboost_system BZ564770

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 1.2.3-4
- Rebuild for Boost soname bump
- Fix more than one changelog

* Mon Aug  3 2009 Zach Carter <z.carter@f5.com> - 1.2.3-3
- re-add /etc/schroot/chroot.d directory

* Tue Jul 14 2009 Zach Carter <z.carter@f5.com> - 1.2.3-2
- fix "file listed twice" warnings

* Tue Jul 14 2009 Zach Carter <z.carter@f5.com> - 1.2.3-1
- new upstream version
- compile with --enable-static --disable-shared
- improve dchroot description
- define directory ownership
- add + to GPLv3 license definition

* Tue May  5 2009 Zach Carter <z.carter@f5.com> - 1.2.2-2
- schroot-bind-shm patch to fix DOS issue 

* Sat Apr 25 2009 Zach Carter <z.carter@f5.com> - 1.2.2-1
- update to 1.2.2

* Wed Nov  5 2008 Zach Carter <z.carter@f5.com> - 1.2.1-2
- move libsbuild subpackage into main package
- remove duplicate doc entries
- disable rpath
- defattr for dchroot files

* Mon Sep 15 2008 Zach Carter <z.carter@f5.com> - 1.2.1-1
- bump version to 1.2.1

* Tue May 20 2008 Zach Carter <z.carter@f5.com> - 1.2.0-1
- move dchroot.1.gz to correct subpackage
- removed superfluous Requires: statements
- moved i18n files into libsbuild subpackage
- removed tmpfs patch

* Mon May 12 2008 Zach Carter <z.carter@f5.com> - 1.2.0-1
- Initial version

